org.apache.commons.math.optimization.fitting

## Class CurveFitter.TheoreticalValuesFunction

- java.lang.Object
- - org.apache.commons.math.optimization.fitting.CurveFitter.TheoreticalValuesFunction

All Implemented Interfaces:
  DifferentiableMultivariateVectorialFunction, MultivariateVectorialFunction

Enclosing class:
  CurveFitter

    private class CurveFitter.TheoreticalValuesFunction
    extends Object
    implements DifferentiableMultivariateVectorialFunction

Vectorial function computing function theoretical values.

### Field Summary

Fields
`private ParametricRealFunction` `f` Function to fit.

### Constructor Summary

Constructors
Constructor and Description
`CurveFitter.TheoreticalValuesFunction(ParametricRealFunction f)` Simple constructor.

### Method Summary

Methods
`MultivariateMatrixFunction` `jacobian()` Returns the jacobian function.
`double[]` `value(double[] point)` Compute the value for the function at the given point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### f

    private final ParametricRealFunction f

Function to fit.

### Constructor Detail

#### CurveFitter.TheoreticalValuesFunction

    public CurveFitter.TheoreticalValuesFunction(ParametricRealFunction f)

Simple constructor.

Parameters:
  `f` - function to fit.

### Method Detail

#### jacobian

    public MultivariateMatrixFunction jacobian()

Returns the jacobian function.

Specified by:
  `jacobian` in interface `DifferentiableMultivariateVectorialFunction`
Returns:
  the jacobian function

#### value

    public double[] value(double[] point)
                   throws FunctionEvaluationException,
                          IllegalArgumentException

Compute the value for the function at the given point.

Specified by:
  `value` in interface `MultivariateVectorialFunction`
Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point
Throws:
  `FunctionEvaluationException` - if the function evaluation fails
  `IllegalArgumentException` - if points dimension is wrong